| IDA SDK

Modules | Enumerations | Functions
Cross-Reference types

## Detailed Description

Describe categories of code/data xrefs.

Note
  IDA handles the xrefs automatically and may delete an xref added by the user if it does not contain the XREF_USER bit.

## Modules
| Cross-Reference type flags
| These flags are combined with a cref_t or dref_t value to describe the type of a cross reference.

## Enumerations
enum | cref_t { fl_U , fl_CF = 16 , fl_CN , fl_JF , fl_JN , fl_USobsolete , fl_F }
| CODE xref types. More...
enum | dref_t { dr_U , dr_O , dr_W , dr_R , dr_T , dr_I , dr_S }
| DATA xref types. More...

## Functions
idaman char ida_export | xrefchar (char xrtype)
| Get character describing the xref type. More...

## Enumeration Type Documentation

## ◆ cref_t

enum cref_t

CODE xref types.

Enumerator
fl_U | unknown – for compatibility with old versions. Should not be used anymore.
fl_CF | Call Far This xref creates a function at the referenced location.
fl_CN | Call Near This xref creates a function at the referenced location.
fl_JF | Jump Far.
fl_JN | Jump Near.
fl_USobsolete | User specified (obsolete)
fl_F | Ordinary flow: used to specify execution flow to the next instruction.

## ◆ dref_t

enum dref_t

DATA xref types.

Enumerator
dr_U | Unknown – for compatibility with old versions. Should not be used anymore.
dr_O | Offset The reference uses 'offset' of data rather than its value OR The reference appeared because the "OFFSET" flag of instruction is set. The meaning of this type is IDP dependent.
dr_W | Write access.
dr_R | Read access.
dr_T | Text (for forced operands only) Name of data is used in manual operand.
dr_I | Informational (a derived java class references its base class informationally)
dr_S | Reference to enum member (symbolic constant)

## Function Documentation

## ◆ xrefchar()

idaman char ida_export xrefchar | ( | char | xrtype | ) |

Get character describing the xref type.

Parameters

  xrtype | combination of Cross-Reference type flags and a cref_t of dref_t value